summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCHTEKK <CHTEKK@localhost>2007-05-12 02:25:14 +0000
committerCHTEKK <CHTEKK@localhost>2007-05-12 02:25:14 +0000
commit9b5298a181944a51854f83d66c8de356d08ec3a4 (patch)
tree77383036376ec198b3579f7de1e37bdc175cdbe7
parentUpdate eclass. (diff)
downloadchtekk-9b5298a181944a51854f83d66c8de356d08ec3a4.tar.gz
chtekk-9b5298a181944a51854f83d66c8de356d08ec3a4.tar.bz2
chtekk-9b5298a181944a51854f83d66c8de356d08ec3a4.zip
Update eclass.
svn path=/; revision=56
-rw-r--r--apache1-removal/eclass/apache-module.eclass10
1 files changed, 4 insertions, 6 deletions
diff --git a/apache1-removal/eclass/apache-module.eclass b/apache1-removal/eclass/apache-module.eclass
index 19ecfa8..b21cdeb 100644
--- a/apache1-removal/eclass/apache-module.eclass
+++ b/apache1-removal/eclass/apache-module.eclass
@@ -180,7 +180,7 @@ apache2_pkg_setup() {
if [[ -z "${INSTALLED_MPM_SAFE}" ]] ; then
eerror "The module you are trying to install (${PN})"
eerror "will only work with one of the following MPMs:"
- eerror " ${APACHE2_SAFE_MPMS}"
+ eerror " ${APACHE2_SAFE_MPMS}"
eerror "You do not currently have any of these MPMs installed."
eerror "Please re-install apache with the correct mpm-* USE flag set."
die "No safe MPM installed."
@@ -228,12 +228,12 @@ apache2_src_install() {
if [[ -n "${APACHE2_MOD_CONF}" ]] ; then
insinto "${APACHE2_MODULES_CONFDIR}"
- doins "${FILESDIR}/${APACHE2_MOD_CONF}.conf" || die "internal ebuild error: '${FILESDIR}/${APACHE2_MOD_CONF}.conf' not found."
+ doins "${FILESDIR}/${APACHE2_MOD_CONF}.conf" || die "internal ebuild error: '${FILESDIR}/${APACHE2_MOD_CONF}.conf' not found"
fi
if [[ -n "${APACHE2_VHOSTFILE}" ]] ; then
insinto "${APACHE2_VHOSTDIR}"
- doins "${FILESDIR}/${APACHE2_VHOSTFILE}.conf"
+ doins "${FILESDIR}/${APACHE2_VHOSTFILE}.conf" || die "internal ebuild error: '${FILESDIR}/${APACHE2_VHOSTFILE}.conf' not found"
fi
cd "${S}"
@@ -280,7 +280,7 @@ apache2_pkg_postinst() {
ewarn "You have one or more MPMs installed that will not work with"
ewarn "this module (${PN}). Please make sure that you only enable"
ewarn "this module if you are using one of the following MPMs:"
- ewarn " ${INSTALLED_MPM_SAFE}"
+ ewarn " ${INSTALLED_MPM_SAFE}"
fi
fi
}
@@ -319,5 +319,3 @@ apache-module_pkg_postinst() {
}
EXPORT_FUNCTIONS pkg_setup src_compile src_install pkg_postinst
-
-# vim:ts=4